Issue 16400 - USER INTERFACE ELEMENTS FOUND IN MOZILLA
Summary: USER INTERFACE ELEMENTS FOUND IN MOZILLA
Status: CONFIRMED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: OOo 1.1 Beta2
Hardware: PC Windows, all
: P3 Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-07-03 12:27 UTC by lamarcbr
Modified: 2014-02-20 12:41 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: 4.1.0-dev
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description lamarcbr 2003-07-03 12:27:50 UTC
The Mozilla browser has several user interface elements that OpenOffice.org 
could leverage. For example:

At the left edge of the of menu and toolbars, there's a little button that 
allows the user to collapse (hide) a particular toolbar or the menu bar.

The Sidebar is very similar to the Task Panes such as the Navigator and the 
Stylist. These should docked by default. The Sidebar in Mozilla also allows the 
user to stack, collapse and expand these panes. This is a concept that could be 
used by OO.

Mozilla has some little buttons (icons) in the status bar. One of them allows 
the user to start Composer and the Mail client. This makes good use to the 
status bar. OO could use this concept for the Options, New Document, Template, 
and Macro functions (among others, I can't of better ones right now).

Thank for creating an excellent product.
Comment 1 thorsten.martens 2003-07-03 12:34:16 UTC
TM->BH: Please have a look, thanks !
Comment 2 ace_dent 2008-05-16 02:09:59 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently 'Unconfirmed' pending review, but has not been
updated within the last 3 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 3 bettina.haberer 2010-05-21 14:57:29 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements". 
Comment 4 Edwin Sharp 2014-02-20 12:41:27 UTC
1) Add possibility to hide menu bar and display it when pressing Alt.
2) IMHO no default docking.
3) Status bar shouldn't be cluttered.
AOO410m1(Build:9750)  -  Rev. 1569541
Rev.1569541
Win 7